Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.history
Class IndexEntry

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.history.IndexEntry

    public class IndexEntry

extends java.lang.Object

Constructor Summary
`IndexEntry(long seq)`
`IndexEntry(long seq, long index, short type, int size, byte[] contentHash, byte[] nodeHash)`

Method Summary
`byte[]` | `getContentHash()`
`long` | `getFileIndex()`
`byte[]` | `getNodeHash()`
`long` | `getSeq()`
`int` | `getSizeInFile()`
`short` | `getType()`
`boolean` | `isHashed()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexEntry

    public IndexEntry(long seq)

### IndexEntry

    public IndexEntry(long seq,
                      long index,
                      short type,
                      int size,
                      byte[] contentHash,
                      byte[] nodeHash)

Method Detail

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentHash

    public byte[] getContentHash()

### getFileIndex

    public long getFileIndex()

### getNodeHash

    public byte[] getNodeHash()

### getSeq

    public long getSeq()

### getSizeInFile

    public int getSizeInFile()

### getType

    public short getType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isHashed

    public boolean isHashed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.